clientsSearch, contactUpdate_error element in a returned array. This key will contain the description of the errortrue_error elementUsually search commands are created like
POST http://{api.domain.com}/{entity}sSearch?field1=value1&field2=value2&orderby=field1_asc
{entity} examples: object, client, etc
count=1.Order Byorderby param<field_name>_<asc or desc>In different modules (client, server, etc) all objects has their properties and types.
Usually thay are cashed in admin page, but you can take it with API by /refsSearch endpoint.
Run request:
POST https://{api.domain.com}/refsSearch?gtype=state,client
For detailed info about gtypes ask tech support.
refsSearch command.To create authorized request to API you need to get a authorization token. In general case of API usage, user can take it from OAuth2 server. But there is a functionality to get it via OAuth2 Tokens API.
Authorization token can be sent via:
- `access_token` GET or POST variable
- `Authorization: Bearer` HTTP header
Example:
POST https://api-domain/objectsSearch
Authorization: Bearer s45sdfsdf3425fg25sdfadg23452dfs35
name_like=somename
POST https://api-domain/objectsSearch?access_token=s45sdfsdf3425fg25sdfadg23452dfs35&name_like=somename